Bug 279348 - filter panel enabled by default after upgrade from KDE SC 4.6
Summary: filter panel enabled by default after upgrade from KDE SC 4.6
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: panels: search (show other bugs)
Version: 16.12.2
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-04 06:49 UTC by S. Burmeister
Modified: 2011-08-13 10:48 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. Burmeister 2011-08-04 06:49:46 UTC
Version:           unspecified (using KDE 4.7.0) 
OS:                Linux

When upgrading KDE SC from 4.6 to 4.7 the filter panel gets enabled by default and place below the information panel where it is only half visible.

It should either not be enabled by default or placed somewhere were it is fully visible, e.g. "tabbed" behind the information panel.

Reproducible: Always

Steps to Reproduce:
update KDE sc 4.6 to 4.7

Actual Results:  
filter panel enabled

Expected Results:  
do not enable filter panel by default
Comment 1 Peter Penz 2011-08-13 10:44:15 UTC
Git commit fa0cf71d7565d515dd940c476b027808622cc582 by Peter Penz.
Committed on 13/08/2011 at 12:42.
Pushed by ppenz into branch 'KDE/4.7'.

Don't enable the search panel per default

Assure that the search panel also stays disabled when updating
from an older Dolphin version.

BUG: 279348
FIXED-IN: 4.7.1

M  +16   -2    dolphin/src/dolphinmainwindow.cpp
M  +4    -0    dolphin/src/settings/dolphin_generalsettings.kcfg

http://commits.kde.org/kde-baseapps/fa0cf71d7565d515dd940c476b027808622cc582
Comment 2 Peter Penz 2011-08-13 10:48:07 UTC
Git commit 84abda1c5e5946f1d59e016ac5cc76705ca0df5f by Peter Penz.
Committed on 13/08/2011 at 12:42.
Pushed by ppenz into branch 'master'.

Don't enable the search panel per default

Assure that the search panel also stays disabled when updating
from an older Dolphin version.

BUG: 279348
FIXED-IN: 4.7.1

M  +16   -2    dolphin/src/dolphinmainwindow.cpp
M  +4    -0    dolphin/src/settings/dolphin_generalsettings.kcfg

http://commits.kde.org/kde-baseapps/84abda1c5e5946f1d59e016ac5cc76705ca0df5f